<table class="property-table">
<tr>

[% FOREACH field IN fields %]

	<th class="property-header"> 
	[% field.out_name %]
	</th>

[% END %] 

</tr>

[% FOREACH row IN dataset %]


<tr>
 [% IF loop.count % 2 != 0 %]
    [% class = "odd"  %]
 [% ELSE %]
    [% class = "even" %]
 [% END %]


      [% 
      FOREACH field IN fields 

       %]

[% IF field.is_numeric %]
       <td class="value-[% class %]" style="text-align:right;"> 
[% ELSE %]
       <td class="value-[% class %]"> 
[% END %]


	[% f = field.db_name %]
	[% IF f == "custom_cell" %]
	[% field.custom_cell | eval %]
	[% ELSE %]
        [%
         cur_cell = row.$f ;
	 field.pre_cell | eval;
	 cur_cell;
	 field.post_cell | eval ;
	%]
	[% END %]
      </td>
       [% END %]

 </tr>

 [% END %]

 </table>

